Git-Url: 
http://git.frugalware.org/gitweb/gitweb.cgi?p=imgrebuild.git;a=commitdiff;h=b5441c2010c8a39a4c9ab542bba8f16a1a2dd96d

commit b5441c2010c8a39a4c9ab542bba8f16a1a2dd96d
Author: bouleetbil <bouleet...@frogdev.info>
Date:   Sun May 16 20:10:36 2010 +0000

mod_ruby-1.3.0-2-i686
*rebuild with ruby 1.9.1
*drop broken eruby depends

diff --git a/source/network-extra/mod_ruby/FrugalBuild 
b/source/network-extra/mod_ruby/FrugalBuild
index b9e5bbe..582e18e 100644
--- a/source/network-extra/mod_ruby/FrugalBuild
+++ b/source/network-extra/mod_ruby/FrugalBuild
@@ -3,17 +3,17 @@

pkgname=mod_ruby
pkgver=1.3.0
-pkgrel=1
+pkgrel=2
pkgdesc="Embeds the Ruby interpreter into the Apache web server"
url="http://www.modruby.net/en";
-depends=('apache>=2.2.0' 'eruby')
+depends=('apache>=2.2.0' 'ruby>=1.9.1')
groups=('network-extra')
archs=('i686' 'x86_64')
backup=('/etc/httpd/conf/mod_ruby.conf')
up2date="lynx -dump \"http://www.modruby.net/archive/?C=M\"; | grep 
\"mod_ruby-[0-9.]*.tar.gz\" | tail -n 1 | sed -e 
\"s/.*mod_ruby-\(.*\).tar.gz.*/\1/\""
source=(http://www.modruby.net/archive/$pkgname-$pkgver.tar.gz mod_ruby.conf)
sha1sums=('967c4efa1ec3f8b0d9870db8665295ba6e019fff' \
-          '9d13af32d406af5ac421168d5ec557224a9d3a8d')
+          '0ca6007a8266a13590cf7e470b2647096c7c3438')

build() {
Fbuild --with-apr-includes=/usr/include/apr
diff --git a/source/network-extra/mod_ruby/mod_ruby.conf 
b/source/network-extra/mod_ruby/mod_ruby.conf
index cd62e8a..1471e26 100644
--- a/source/network-extra/mod_ruby/mod_ruby.conf
+++ b/source/network-extra/mod_ruby/mod_ruby.conf
@@ -17,32 +17,6 @@ LoadModule ruby_module /usr/lib/apache/mod_ruby.so
RubyHandler Apache::RubyRun.instance
</Files>

-  # for Apache::ERubyRun
-  RubyRequire apache/eruby-run
-
-  # handle files under /eruby as eRuby files by eruby.
-  <Location /eruby>
-    SetHandler ruby-object
-    RubyHandler Apache::ERubyRun.instance
-    Options ExecCGI
-  </Location>
-
-  # handle *.rhtml as eruby files.
-  <Files *.rhtml>
-    SetHandler ruby-object
-    RubyHandler Apache::ERubyRun.instance
-  </Files>
-
-  # for Apache::ERbRun
-  RubyRequire apache/erb-run
-
-  # handle files under /erb as eRuby files by ERb.
-  <Location /erb>
-    SetHandler ruby-object
-    RubyHandler Apache::ERbRun.instance
-    Options ExecCGI
-  </Location>
-
# # for debug
# RubyRequire auto-reload
_______________________________________________
Frugalware-git mailing list
Frugalware-git@frugalware.org
http://frugalware.org/mailman/listinfo/frugalware-git

Reply via email to